# -*- coding: utf-8 -*-
# Generated by Django 1.10.6 on 2017-03-27 12:54
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Album',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Created')),
                ('edited', models.DateTimeField(auto_now=True, null=True, verbose_name='Edited')),
                ('slug', models.SlugField(max_length=25, unique=True)),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('image', models.ImageField(blank=True, null=True, upload_to=b'categories', verbose_name='Navigation image')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('status', models.CharField(choices=[(b'pending', 'Pending'), (b'published', 'Published'), (b'unpublished', 'Unpublished')], default=b'published', max_length=20, verbose_name='Status')),
                ('url', models.URLField(editable=False, verbose_name='Url')),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('editor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Posted by')),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='vvphotos.Album', verbose_name='Parent category')),
            ],
            options={
                'verbose_name': 'Album',
                'verbose_name_plural': 'Albums',
            },
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Created')),
                ('edited', models.DateTimeField(auto_now=True, null=True, verbose_name='Edited')),
                ('title', models.CharField(blank=True, max_length=250, verbose_name='Title')),
                ('image', models.ImageField(upload_to=b'photos_thumbs', verbose_name='Image')),
                ('order', models.PositiveSmallIntegerField(null=True, verbose_name='Order')),
                ('album', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='photos', to='vvphotos.Album', verbose_name='Album')),
                ('editor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL, verbose_name='Posted by')),
            ],
            options={
                'ordering': ('order', 'album', 'created'),
                'verbose_name': 'Photo',
                'verbose_name_plural': 'Photos',
            },
        ),
    ]
